If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Perma failure when 56 merges to beta in browser/components/extensions/test/browser/browser_ext_devtools_inspectedWindow_eval_bindings.js | Test timed out

RESOLVED FIXED in Firefox 56

Status

()

Toolkit
WebExtensions: Untriaged
RESOLVED FIXED
2 months ago
2 months ago

People

(Reporter: aryx, Assigned: nchevobbe)

Tracking

unspecified
mozilla57
Points:
---

Firefox Tracking Flags

(firefox56 fixed, firefox57 fixed)

Details

MozReview Requests

()

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(1 attachment)

Merge day is tomorrow (August 2nd).

Test run with failures: https://treeherder.mozilla.org/#/jobs?repo=try&revision=b47de49ad58a9f315a1a6ddcbe3c8fbd5db1a38d&filter-resultStatus=testfailed&filter-resultStatus=busted&filter-resultStatus=exception&filter-resultStatus=retry&filter-resultStatus=usercancel&filter-resultStatus=running&filter-resultStatus=pending&filter-resultStatus=runnable&selectedJob=119737920&filter-classifiedState=unclassified

Failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=119737920&repo=try

[task 2017-07-31T21:24:06.024672Z] 21:24:06     INFO - TEST-PASS | browser/components/extensions/test/browser/browser_ext_devtools_inspectedWindow_eval_bindings.js | Got the expected eval result - {"evalResult":"BODY","errorResult":"undefined"} deepEqual {"evalResult":"BODY","errorResult":"undefined"} - 
[task 2017-07-31T21:24:06.026760Z] 21:24:06     INFO - Toolbox switched back to the styleeditor panel
[task 2017-07-31T21:24:06.034390Z] 21:24:06     INFO - Test inspectedWindow.eval inspect() binding called for a DOM element
[task 2017-07-31T21:24:06.036676Z] 21:24:06     INFO - Wait for the toolbox to switch to the inspector and the expected node has been selected
[task 2017-07-31T21:24:06.042184Z] 21:24:06     INFO - TEST-PASS | browser/components/extensions/test/browser/browser_ext_devtools_inspectedWindow_eval_bindings.js | The expected DOM node has been selected in the inspector - 
[task 2017-07-31T21:24:06.045481Z] 21:24:06     INFO - Toolbox has been switched to the inspector as expected
[task 2017-07-31T21:24:06.047690Z] 21:24:06     INFO - Test inspectedWindow.eval inspect() binding called for a JS object
[task 2017-07-31T21:24:06.050700Z] 21:24:06     INFO - Buffered messages logged at 21:23:23
[task 2017-07-31T21:24:06.056302Z] 21:24:06     INFO - Console message: [JavaScript Warning: "Unknown property ‘user-select’.  Declaration dropped." {file: "resource://devtools/client/shared/components/reps/reps.css" line: 218 column: 13 source: "  user-select: none;"}]
[task 2017-07-31T21:24:06.058749Z] 21:24:06     INFO - Wait for the split console to be opened and the JS object inspected
[task 2017-07-31T21:24:06.060762Z] 21:24:06     INFO - Buffered messages finished
[task 2017-07-31T21:24:06.066125Z] 21:24:06     INFO - TEST-UNEXPECTED-FAIL | browser/components/extensions/test/browser/browser_ext_devtools_inspectedWindow_eval_bindings.js | Test timed out - 
[task 2017-07-31T21:24:06.068263Z] 21:24:06     INFO - Not taking screenshot here: see the one that was previously logged
[task 2017-07-31T21:24:06.077839Z] 21:24:06     INFO - TEST-UNEXPECTED-FAIL | browser/components/extensions/test/browser/browser_ext_devtools_inspectedWindow_eval_bindings.js | Extension left running at test shutdown - 
[task 2017-07-31T21:24:06.079924Z] 21:24:06     INFO - Stack trace:
[task 2017-07-31T21:24:06.081520Z] 21:24:06     INFO -     chrome://mochikit/content/tests/SimpleTest/ExtensionTestUtils.js:ExtensionTestUtils.loadExtension/<:109
[task 2017-07-31T21:24:06.082998Z] 21:24:06     INFO -     chrome://mochikit/content/browser-test.js:Tester.prototype.nextTest<:409
[task 2017-07-31T21:24:06.084531Z] 21:24:06     INFO -     timeoutFn@chrome://mochikit/content/browser-test.js:893:9
Flags: needinfo?(amckay)

Comment 1

2 months ago
I took a brief look at this new perma failure on the 56 beta merge and it looks that it can be related to the changes landed by Bug 1382690:

By looking at the failure screenshot: https://public-artifacts.taskcluster.net/AdT1dVXNSHWrpXL7ZtegBw/0/public/test_info//mozilla-test-fail-screenshot_5wxuHh.png

it seems that on beta the new console ui is not enabled and then the test fails to resolve the `splitPanelOpenedPromise` promise because it is expecting the object inspector to be used, while the legacy variables view is the one used on the old webconsole UI.

Can you take a look at it and check if it can be fixed asap? 
(e.g. by using the old test code fragment when the old webconsole is going to be used, so that the same test can run on both beta and nightly, where the new webconsole ui is already enabled by default)
Flags: needinfo?(amckay) → needinfo?(nchevobbe)
(Assignee)

Comment 2

2 months ago
Hi Luca, I'll try to fix this this evening or first thing tomorrow
(Assignee)

Updated

2 months ago
Assignee: nobody → nchevobbe
Status: NEW → ASSIGNED
Flags: needinfo?(nchevobbe)
Comment hidden (mozreview-request)
Sebastian, are there instructions somewhere on how to run this patch as beta on try to make sure it fixes the issue?
Flags: needinfo?(aryx.bugmail)

Comment 5

2 months ago
mozreview-review
Comment on attachment 8892574 [details]
Bug 1386221 - Fix test for inspect binding on 56 beta. .

https://reviewboard.mozilla.org/r/163580/#review168950
Attachment #8892574 - Flags: review?(bgrinstead) → review+

Comment 6

2 months ago
mozreview-review
Comment on attachment 8892574 [details]
Bug 1386221 - Fix test for inspect binding on 56 beta. .

https://reviewboard.mozilla.org/r/163580/#review168954

Nits on commit message: '56' -> '56 beta', 'were testing are not' -> 'were testing is not', 'either' -> 'depending on whether'
Hi Brian, the steps for the uplift simulation are documented at https://wiki.mozilla.org/Sheriffing/How_To/Uplifts
Flags: needinfo?(aryx.bugmail)
I did a try push with the new console frontend off by default which should cover the beta case: https://treeherder.mozilla.org/#/jobs?repo=try&revision=9c65d0c4114a0610ceece3c59d66fd94f584d389
The try push looks fine so this can be checked in with the updated commit message (see comment 6). The failures in that push look to be Bug 1386410
Comment hidden (mozreview-request)

Comment 11

2 months ago
Pushed by nchevobbe@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/469a6a99593a
Fix test for inspect binding on 56 beta. r=bgrins.
Backed out for failing browser_ext_devtools_inspectedWindow_eval_bindings.js:

https://hg.mozilla.org/integration/autoland/rev/8412daaa50bc686b900a3bde5b2642b72800ba96

Next push which ran many of the failing tests: https://treeherder.mozilla.org/#/jobs?repo=autoland&revision=e1b93d2abdb2968279ea2512aded7bd77c53a1c7&filter-resultStatus=testfailed&filter-resultStatus=busted&filter-resultStatus=exception&filter-resultStatus=retry&filter-resultStatus=runnable
Failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=120296625&repo=autoland

[task 2017-08-02T07:45:40.335161Z] 07:45:40     INFO - TEST-PASS | browser/components/extensions/test/browser/browser_ext_devtools_inspectedWindow_eval_bindings.js | The expected DOM node has been selected in the inspector - 
[task 2017-08-02T07:45:40.340461Z] 07:45:40     INFO - Toolbox has been switched to the inspector as expected
[task 2017-08-02T07:45:40.345164Z] 07:45:40     INFO - Test inspectedWindow.eval inspect() binding called for a JS object
[task 2017-08-02T07:45:40.348523Z] 07:45:40     INFO - Buffered messages logged at 07:44:58
[task 2017-08-02T07:45:40.351636Z] 07:45:40     INFO - Wait for the split console to be opened and the JS object inspected
[task 2017-08-02T07:45:40.355691Z] 07:45:40     INFO - Console message: [JavaScript Warning: "Unknown property ‘user-select’.  Declaration dropped." {file: "resource://devtools/client/shared/components/reps/reps.css" line: 218 column: 13 source: "  user-select: none;"}]
[task 2017-08-02T07:45:40.359113Z] 07:45:40     INFO - Buffered messages logged at 07:44:59

...

[task 2017-08-02T07:45:40.408050Z] 07:45:40     INFO - Buffered messages finished
[task 2017-08-02T07:45:40.412262Z] 07:45:40     INFO - TEST-UNEXPECTED-FAIL | browser/components/extensions/test/browser/browser_ext_devtools_inspectedWindow_eval_bindings.js | Test timed out - 
[task 2017-08-02T07:45:40.414392Z] 07:45:40     INFO - Not taking screenshot here: see the one that was previously logged
[task 2017-08-02T07:45:40.421186Z] 07:45:40     INFO - TEST-UNEXPECTED-FAIL | browser/components/extensions/test/browser/browser_ext_devtools_inspectedWindow_eval_bindings.js | Extension left running at test shutdown - 
[task 2017-08-02T07:45:40.423034Z] 07:45:40     INFO - Stack trace:
[task 2017-08-02T07:45:40.424830Z] 07:45:40     INFO -     chrome://mochikit/content/tests/SimpleTest/ExtensionTestUtils.js:ExtensionTestUtils.loadExtension/<:109
[task 2017-08-02T07:45:40.426577Z] 07:45:40     INFO -     chrome://mochikit/content/browser-test.js:Tester.prototype.nextTest<:409
[task 2017-08-02T07:45:40.431710Z] 07:45:40     INFO -     timeoutFn@chrome://mochikit/content/browser-test.js:893:9
[task 2017-08-02T07:45:40.433903Z] 07:45:40     INFO -     setTimeout handler*Tester_execTest@chrome://mochikit/content/browser-test.js:855:9
[task 2017-08-02T07:45:40.436559Z] 07:45:40     INFO -     Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:689:7
[task 2017-08-02T07:45:40.438715Z] 07:45:40     INFO -     SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:795:59
Flags: needinfo?(nchevobbe)
Comment hidden (mozreview-request)
(Assignee)

Comment 14

2 months ago
TRY push with new patch https://treeherder.mozilla.org/#/jobs?repo=try&revision=8b59b5064ce5977bfaa3a8bbed3ceab47fa9bae9
Flags: needinfo?(nchevobbe)
(Assignee)

Comment 15

2 months ago
And here's one for beta https://treeherder.mozilla.org/#/jobs?repo=try&revision=2ab33fd1ebf1f6a8198da916ed9a0440c9367a0e (if I did everything right)

Comment 16

2 months ago
Pushed by nchevobbe@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/18071f8e2714
Fix test for inspect binding on 56 beta. r=bgrins.
https://hg.mozilla.org/mozilla-central/rev/18071f8e2714
Status: ASSIGNED → RESOLVED
Last Resolved: 2 months ago
status-firefox57: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → mozilla57

Comment 18

2 months ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-beta/rev/04450e033f1c
status-firefox56: --- → fixed

Comment 19

2 months ago
103 failures in 888 pushes (0.116 failures/push) were associated with this bug in the last 7 days. 

This is the #6 most frequent failure this week. 

** This failure happened more than 75 times this week! Resolving this bug is a very high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 1 week, the affected test(s) may be disabled. **  

Repository breakdown:
* try: 103

Platform breakdown:
* windows8-64: 24
* linux64: 24
* windows7-32: 15
* linux32: 12
* osx-10-10: 10
* macosx64-nightly: 6
* linux64-nightly: 6
* linux32-nightly: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1386221&startday=2017-07-31&endday=2017-08-06&tree=all
You need to log in before you can comment on or make changes to this bug.